Page 1 of 2 12 LastLast
Results 1 to 15 of 16

I have an issue that I could use some help with. I have updated my ... BlackBerry Curve forum

  1. #1
    kjlo5's Avatar
    kjlo5 no está en línea Stack level 2
    Join Date
    Feb 2007
    Posts
    26

    No software update is required for your device GRRR. OS update Problem.

    Advertisement



    I have an issue that I could use some help with. I have updated my Verizon Wireless BlackBerry Curve 8330 several times before with everything form the latest beta OS to the most current official OS. I am trying to update from 4.5.0.77 which I currently have, to 4.5.0.138 which I just finished downloading 10 minutes ago. I know I need to delete the vendor.xml file before I load it through BBDM which I have done.

    When I click on app loader from DM then click "Update Software" I see "Available Updates" I have the first one auto checked which says:
    "BlackBerry 4.5 (Current) Version 4.5.0.77" I then check the box that says:
    "BlackBerry 4.5.0.205 for 8330 Version 4.5.0.138" then click next. (Mind you I have already deleted the vendor.xml file).

    After all that the DM tells me that "no software update is required for your device."

    I have tied to use JL_Cmder to wipe my BB and I still can't update the OS from 4.5.0.77

    *I did notice before I used JL_Cmder to wipe my BB, at the Available Updates screen would auto check the first box and it would say "BlackBerry 4.5 (Preferred) Version 4.5.0.77" rather than "BlackBerry 4.5 (Current) Version 4.5.0.77" -Same outcome when I tried to update.

    Has anybody else run into this issue and can anybody help?

    My BlackBerry DM is version 4.7.0.32

  2. #2
    RogerG's Avatar
    RogerG no está en línea Stack Administrator
    Join Date
    Nov 2006
    Posts
    21,111
    First, you might want to consider replacing your DM 4.7 with 4.6. Some buginess with 4.7 that could be contributing to your issue.

    Second, on your PC, go to Control Panel>Add or Remove Programs (Programs and Features on Vista) and look for anything that says BlackBerry Device Software 4.5. If there is more than one of those, then that's your problem and you'll need to uninstall every one of those except the one to which you wish to upgrade.

    Please take a look and post back!

    Cheers,
    Roger

  3. #3
    wheelz's Avatar
    wheelz no está en línea Stack level 4
    Join Date
    Nov 2008
    PIN/ID
    ask4pin
    Posts
    514
    I'm going to say that I would unistall dm 4.7 and use dm 4.6 instead but stick around some other users might have some other tips. I'm thinking that 4.7 dm is your problem even though it was fine in the past. The same thing happened to me and when I went with 4.6dm everything worked fine
    ~via smartphone mobile.pinstack.com~

  4. #4
    wheelz's Avatar
    wheelz no está en línea Stack level 4
    Join Date
    Nov 2008
    PIN/ID
    ask4pin
    Posts
    514
    Way to go rogro good you beat me to it I'm glad I'm on the right track
    ~via smartphone mobile.pinstack.com~

  5. #5
    kjlo5's Avatar
    kjlo5 no está en línea Stack level 2
    Join Date
    Feb 2007
    Posts
    26
    I am running windows XP pro and I have deleted all prior instances of an os for my curve. the new one I just downloaded is the only one I have on there.

    I will try DM 4.6 and post when I am done.

    Thanks for the quick responce.

  6. #6
    clarkkent51ny's Avatar
    clarkkent51ny no está en línea Themes Pro
    Join Date
    Nov 2007
    PIN/ID
    305DA705
    Posts
    4,982
    this just happened to me and I got it to work today finally! What I did was go to My computer/program files/ common files/ research in motion/app loader. Then RIGHT click the little cellphone that says "loader" and RUN as administrator. Dont double click it to start it, instead right click it and run as administrator. For some reason that was the only way my laptop was able to discover my available software update.

    Hope this helps...
    This is my Blackberry. There are many like it, but this one is mine. Without me my Blackberry is useless. Without my Blackberry I am useless.

    BDG51@vzw.blackberry.net
    http://briandominic.vox.com/

  7. #7
    RogerG's Avatar
    RogerG no está en línea Stack Administrator
    Join Date
    Nov 2006
    Posts
    21,111
    FYI, you should uninstall 4.7 prior to loading DM 4.6, but keep in mind that in doing so, you will probably also lose your OS, so you'll probably have to reload the OS as well.

    Once that's completed, make sure you have deleted the vendor.xml file, then try loading through DM again. If that doesn't work, you should try using the Loader executable in:

    C:\Program Files\Common Files\Research in Motion\AppLoader (which is also where you'll find the vendor.xml file, in case you didn't know)

    Keep us posted!

  8. #8
    moderncowboy's Avatar
    moderncowboy no está en línea Stack Moderator
    Join Date
    May 2008
    PIN/ID
    AskMe
    Posts
    7,297
    Quote Originally Posted by clarkkent51ny View Post
    this just happened to me and I got it to work today finally! What I did was go to My computer/program files/ common files/ research in motion/app loader. Then RIGHT click the little cellphone that says "loader" and RUN as administrator. Dont double click it to start it, instead right click it and run as administrator. For some reason that was the only way my laptop was able to discover my available software update.

    Hope this helps...
    I am guessing you are on Vista.
    ~via smartphone mobile.pinstack.com~

  9. #9
    clarkkent51ny's Avatar
    clarkkent51ny no está en línea Themes Pro
    Join Date
    Nov 2007
    PIN/ID
    305DA705
    Posts
    4,982
    By the way.... I also am running 4.7 DM and was told to try 4.6 and it didnt change anything. Not saying it wont for you but it didnt for me, so before you downgrade to 4.6 DM, just try what I said first....
    This is my Blackberry. There are many like it, but this one is mine. Without me my Blackberry is useless. Without my Blackberry I am useless.

    BDG51@vzw.blackberry.net
    http://briandominic.vox.com/

  10. #10
    RogerG's Avatar
    RogerG no está en línea Stack Administrator
    Join Date
    Nov 2006
    Posts
    21,111
    ^^^ I agree.....give that a try first.

  11. #11
    clarkkent51ny's Avatar
    clarkkent51ny no está en línea Themes Pro
    Join Date
    Nov 2007
    PIN/ID
    305DA705
    Posts
    4,982
    Quote Originally Posted by moderncowboy View Post
    I am guessing you are on Vista.
    ~via smartphone mobile.pinstack.com~
    Is it that obvious??? LMAO If you can remember, I couldnt make themes for months cause of my java errors cause by vista! Now this.... I hate Vista!! argghhh
    This is my Blackberry. There are many like it, but this one is mine. Without me my Blackberry is useless. Without my Blackberry I am useless.

    BDG51@vzw.blackberry.net
    http://briandominic.vox.com/

  12. #12
    kjlo5's Avatar
    kjlo5 no está en línea Stack level 2
    Join Date
    Feb 2007
    Posts
    26
    DM 4.6 worked like a charm! Thanks for the help everyone. Also thanks for the tip clarkkent but I was already uninstalling DM4.7 by the time I read your post. I will keep that in mind if I run across this problem again.

  13. #13
    jfpannone's Avatar
    jfpannone no está en línea Stack level 2
    Join Date
    Jul 2008
    PIN/ID
    ask
    Posts
    61
    Quote Originally Posted by clarkkent51ny View Post
    this just happened to me and I got it to work today finally! What I did was go to My computer/program files/ common files/ research in motion/app loader. Then RIGHT click the little cellphone that says "loader" and RUN as administrator. Dont double click it to start it, instead right click it and run as administrator. For some reason that was the only way my laptop was able to discover my available software update.

    Hope this helps...
    GREAT COMMENT! I had issues upgrading my bold using DM 4.7 from .167 to .266 . it said "no software available ..." when there was clearly a newer version installed on my pc.

    I followed your tip, et voila! I'm running 4.6.0.266 now.

    Now I can sleep comfortably, phew..Thanks Superman!

  14. #14
    StormHowler's Avatar
    StormHowler no está en línea Stack level 1
    Join Date
    Apr 2009
    PIN/ID
    PM me!
    Posts
    12
    I'm also running into this problem in seeking to upgrade my Curve 8330m from .127 to .138 OS using DM 5.0 on Win Vista. No matter what I do, it doesn't detect that there's a newer OS on my computer, waiting to be installed on my Berry.

    Help appreciated.

  15. #15
    luciferseamus's Avatar
    luciferseamus no está en línea Device Pro
    Join Date
    Apr 2008
    Posts
    1,930
    Quote Originally Posted by StormHowler View Post
    I'm also running into this problem in seeking to upgrade my Curve 8330m from .127 to .138 OS using DM 5.0 on Win Vista. No matter what I do, it doesn't detect that there's a newer OS on my computer, waiting to be installed on my Berry.

    Help appreciated.
    don't mean to sound foolish but you didn't say so I don't know...
    have you deleted the vendor.xml file as described above?
    what version of DM?
    have you deleted your older OS versions from your computer?
    once you have done all of that it should upgrade for you no problem...
    let us know
    "If you ever lose your keys in a river of molten lava, let 'em go, cus' man, they're gone!!"-Jack Handey


Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •